import path_setting
from in_common.base_request import BaseRequest


class conversation_request(BaseRequest):
    def __init__(self):
        self.messageread = self.api_load(path_setting.MESSAGE_READ_CONFIG)
        #self.data = self.api_load(path_setting.MESSAGE_READ_CONFIG)

    def message_read(self,current_city_id,release,message_ids):
        self.params["current_city_id"] = current_city_id
        self.params["release"] = release
        #self.params["uqid"] = uqid
        self.params["message_ids"] = message_ids
        return self.api_send(self.messageread["message_read"])


if __name__ == '__main__':
    print(conversation_request().message_read("beijing", 1,'[10622,10626,10646,10651]'))





